//go:build windows

package yu_hpsocket

import yu_sys "gogs.qqck.cn/s/tools/sys"

var modhpsocket yu_sys.Module

var (
	HP_Client_StartWithBindAddressAndLocalPort yu_sys.Address
	HP_Client_Stop                             yu_sys.Address
	HP_Client_Wait                             yu_sys.Address
	HP_Client_Send                             yu_sys.Address
	HP_Client_IsSecure                         yu_sys.Address
	HP_Client_SetExtra                         yu_sys.Address
	HP_Client_GetExtra                         yu_sys.Address
	HP_Client_HasStarted                       yu_sys.Address
	HP_Client_GetState                         yu_sys.Address
	HP_Client_GetLastError                     yu_sys.Address
	HP_Client_GetLastErrorDesc                 yu_sys.Address
	HP_Client_GetConnectionID                  yu_sys.Address
	HP_Client_GetLocalAddress                  yu_sys.Address
	HP_Client_GetRemoteHost                    yu_sys.Address
	HP_Client_GetPendingDataLength             yu_sys.Address
	HP_Client_SetFreeBufferPoolSize            yu_sys.Address
	HP_Client_SetFreeBufferPoolHold            yu_sys.Address
	HP_Client_GetFreeBufferPoolSize            yu_sys.Address
	HP_Client_GetFreeBufferPoolHold            yu_sys.Address
	HP_SSLClient_SetupSSLContext               yu_sys.Address
	HP_SSLClient_SetupSSLContextByMemory       yu_sys.Address
	HP_SSLClient_CleanupSSLContext             yu_sys.Address
	HP_SSLClient_StartSSLHandShake             yu_sys.Address
	HP_SSLClient_SetSSLAutoHandShake           yu_sys.Address
	HP_SSLClient_IsSSLAutoHandShake            yu_sys.Address
	HP_SSLClient_SetSSLCipherList              yu_sys.Address
	HP_SSLClient_GetSSLCipherList              yu_sys.Address
	HP_SSLClient_GetSSLSessionInfo             yu_sys.Address
	HP_Client_IsPauseReceive                   yu_sys.Address
	HP_Client_IsConnected                      yu_sys.Address
	HP_Client_SetReuseAddressPolicy            yu_sys.Address
	HP_Client_GetReuseAddressPolicy            yu_sys.Address
	HP_Client_PauseReceive                     yu_sys.Address

	HP_Set_FN_Client_OnPrepareConnect yu_sys.Address
	HP_Set_FN_Client_OnConnect        yu_sys.Address
	HP_Set_FN_Client_OnHandShake      yu_sys.Address
	HP_Set_FN_Client_OnSend           yu_sys.Address
	HP_Set_FN_Client_OnReceive        yu_sys.Address
	HP_Set_FN_Client_OnClose          yu_sys.Address

	Create_HP_TcpClientListener  yu_sys.Address
	Destroy_HP_TcpClientListener yu_sys.Address
	Create_HP_SSLClient          yu_sys.Address
	Destroy_HP_SSLClient         yu_sys.Address
	Create_HP_TcpClient          yu_sys.Address
	Destroy_HP_TcpClient         yu_sys.Address

	HP_TcpClient_SetSocketBufferSize  yu_sys.Address
	HP_TcpClient_SetKeepAliveTime     yu_sys.Address
	HP_TcpClient_SetKeepAliveInterval yu_sys.Address
	HP_TcpClient_SetNoDelay           yu_sys.Address
	HP_TcpClient_GetSocketBufferSize  yu_sys.Address
	HP_TcpClient_GetKeepAliveTime     yu_sys.Address
	HP_TcpClient_GetKeepAliveInterval yu_sys.Address
	HP_TcpClient_IsNoDelay            yu_sys.Address

	Create_HP_TcpPackClientListener  yu_sys.Address
	Destroy_HP_TcpPackClientListener yu_sys.Address

	Create_HP_SSLPackClient  yu_sys.Address
	Destroy_HP_SSLPackClient yu_sys.Address
	Create_HP_TcpPackClient  yu_sys.Address
	Destroy_HP_TcpPackClient yu_sys.Address

	HP_TcpPackClient_SetMaxPackSize    yu_sys.Address
	HP_TcpPackClient_SetPackHeaderFlag yu_sys.Address
	HP_TcpPackClient_GetMaxPackSize    yu_sys.Address
	HP_TcpPackClient_GetPackHeaderFlag yu_sys.Address

	HP_Server_Start                        yu_sys.Address
	HP_Server_Stop                         yu_sys.Address
	HP_Server_Wait                         yu_sys.Address
	HP_Server_Send                         yu_sys.Address
	HP_Server_IsSecure                     yu_sys.Address
	HP_Server_Disconnect                   yu_sys.Address
	HP_Server_DisconnectLongConnections    yu_sys.Address
	HP_Server_DisconnectSilenceConnections yu_sys.Address
	HP_Server_SetConnectionExtra           yu_sys.Address
	HP_Server_GetConnectionExtra           yu_sys.Address
	HP_Server_HasStarted                   yu_sys.Address
	HP_Server_GetState                     yu_sys.Address
	HP_Server_GetLastError                 yu_sys.Address
	HP_Server_GetLastErrorDesc             yu_sys.Address
	HP_Server_GetPendingDataLength         yu_sys.Address
	HP_Server_GetConnectionCount           yu_sys.Address
	HP_Server_GetAllConnectionIDs          yu_sys.Address
	HP_Server_GetConnectPeriod             yu_sys.Address
	HP_Server_GetSilencePeriod             yu_sys.Address
	HP_Server_GetListenAddress             yu_sys.Address
	HP_Server_GetLocalAddress              yu_sys.Address
	HP_Server_GetRemoteAddress             yu_sys.Address
	HP_Server_SetSendPolicy                yu_sys.Address
	HP_Server_SetOnSendSyncPolicy          yu_sys.Address
	HP_Server_SetFreeSocketObjLockTime     yu_sys.Address
	HP_Server_SetFreeSocketObjPool         yu_sys.Address
	HP_Server_SetFreeBufferObjPool         yu_sys.Address
	HP_Server_SetFreeSocketObjHold         yu_sys.Address
	HP_Server_SetFreeBufferObjHold         yu_sys.Address
	HP_Server_SetMaxConnectionCount        yu_sys.Address
	HP_Server_SetWorkerThreadCount         yu_sys.Address
	HP_Server_SetMarkSilence               yu_sys.Address
	HP_Server_GetSendPolicy                yu_sys.Address
	HP_Server_GetOnSendSyncPolicy          yu_sys.Address
	HP_Server_GetFreeSocketObjLockTime     yu_sys.Address
	HP_Server_GetFreeSocketObjPool         yu_sys.Address
	HP_Server_GetFreeBufferObjPool         yu_sys.Address
	HP_Server_GetFreeSocketObjHold         yu_sys.Address
	HP_Server_GetFreeBufferObjHold         yu_sys.Address
	HP_Server_GetMaxConnectionCount        yu_sys.Address
	HP_Server_GetWorkerThreadCount         yu_sys.Address
	HP_Server_IsMarkSilence                yu_sys.Address
	HP_SSLServer_SetupSSLContext           yu_sys.Address

	HP_SSLServer_SetupSSLContextByMemory yu_sys.Address
	HP_SSLServer_AddSSLContext           yu_sys.Address
	HP_SSLServer_AddSSLContextByMemory   yu_sys.Address
	HP_SSLServer_BindSSLServerName       yu_sys.Address
	HP_SSLServer_StartSSLHandShake       yu_sys.Address
	HP_SSLServer_SetSSLAutoHandShake     yu_sys.Address
	HP_SSLServer_IsSSLAutoHandShake      yu_sys.Address
	HP_SSLServer_SetSSLCipherList        yu_sys.Address
	HP_SSLServer_GetSSLCipherList        yu_sys.Address
	HP_SSLServer_GetSSLSessionInfo       yu_sys.Address
	HP_Server_IsPauseReceive             yu_sys.Address
	HP_Server_IsConnected                yu_sys.Address
	HP_Server_PauseReceive               yu_sys.Address
	HP_SSLServer_CleanupSSLContext       yu_sys.Address

	HP_Set_FN_Server_OnPrepareListen yu_sys.Address
	HP_Set_FN_Server_OnAccept        yu_sys.Address
	HP_Set_FN_Server_OnHandShake     yu_sys.Address
	HP_Set_FN_Server_OnSend          yu_sys.Address
	HP_Set_FN_Server_OnReceive       yu_sys.Address
	HP_Set_FN_Server_OnClose         yu_sys.Address
	HP_Set_FN_Server_OnShutdown      yu_sys.Address

	Create_HP_TcpServerListener  yu_sys.Address
	Destroy_HP_TcpServerListener yu_sys.Address
	Create_HP_SSLServer          yu_sys.Address
	Destroy_HP_SSLServer         yu_sys.Address
	Create_HP_TcpServer          yu_sys.Address
	Destroy_HP_TcpServer         yu_sys.Address

	HP_TcpServer_SetSocketListenQueue yu_sys.Address
	HP_TcpServer_SetAcceptSocketCount yu_sys.Address
	HP_TcpServer_SetSocketBufferSize  yu_sys.Address
	HP_TcpServer_SetKeepAliveTime     yu_sys.Address
	HP_TcpServer_SetKeepAliveInterval yu_sys.Address
	HP_TcpServer_SetNoDelay           yu_sys.Address
	HP_TcpServer_GetSocketListenQueue yu_sys.Address
	HP_TcpServer_GetAcceptSocketCount yu_sys.Address
	HP_TcpServer_GetSocketBufferSize  yu_sys.Address
	HP_TcpServer_GetKeepAliveTime     yu_sys.Address
	HP_TcpServer_GetKeepAliveInterval yu_sys.Address
	HP_TcpServer_IsNoDelay            yu_sys.Address

	Create_HP_TcpPackServerListener  yu_sys.Address
	Destroy_HP_TcpPackServerListener yu_sys.Address
	Create_HP_SSLPackServer          yu_sys.Address
	Destroy_HP_SSLPackServer         yu_sys.Address
	Create_HP_TcpPackServer          yu_sys.Address
	Destroy_HP_TcpPackServer         yu_sys.Address

	HP_TcpPackServer_SetMaxPackSize    yu_sys.Address
	HP_TcpPackServer_SetPackHeaderFlag yu_sys.Address
	HP_TcpPackServer_GetMaxPackSize    yu_sys.Address
	HP_TcpPackServer_GetPackHeaderFlag yu_sys.Address

	Create_HP_HttpServerListener  yu_sys.Address
	Destroy_HP_HttpServerListener yu_sys.Address
	Create_HP_HttpsServer         yu_sys.Address
	Destroy_HP_HttpsServer        yu_sys.Address
	Create_HP_HttpServer          yu_sys.Address
	Destroy_HP_HttpServer         yu_sys.Address

	HP_HttpServer_SendResponse        yu_sys.Address
	HP_HttpServer_SendChunkData       yu_sys.Address
	HP_HttpServer_SendLocalFile       yu_sys.Address
	HP_HttpServer_SendWSMessage       yu_sys.Address
	HP_HttpServer_Release             yu_sys.Address
	HP_HttpServer_SetReleaseDelay     yu_sys.Address
	HP_HttpServer_GetReleaseDelay     yu_sys.Address
	HP_HttpServer_GetUrlFieldSet      yu_sys.Address
	HP_HttpServer_GetUrlField         yu_sys.Address
	HP_HttpServer_GetMethod           yu_sys.Address
	HP_HttpServer_SetLocalVersion     yu_sys.Address
	HP_HttpServer_GetLocalVersion     yu_sys.Address
	HP_HttpServer_IsUpgrade           yu_sys.Address
	HP_HttpServer_IsKeepAlive         yu_sys.Address
	HP_HttpServer_StartHttp           yu_sys.Address
	HP_HttpServer_SetHttpAutoStart    yu_sys.Address
	HP_HttpServer_IsHttpAutoStart     yu_sys.Address
	HP_HttpServer_GetVersion          yu_sys.Address
	HP_HttpServer_GetHost             yu_sys.Address
	HP_HttpServer_GetContentLength    yu_sys.Address
	HP_HttpServer_GetContentType      yu_sys.Address
	HP_HttpServer_GetContentEncoding  yu_sys.Address
	HP_HttpServer_GetTransferEncoding yu_sys.Address
	HP_HttpServer_GetUpgradeType      yu_sys.Address
	HP_HttpServer_GetParseErrorCode   yu_sys.Address
	HP_HttpServer_GetHeader           yu_sys.Address
	HP_HttpServer_GetHeaders          yu_sys.Address
	HP_HttpServer_GetAllHeaders       yu_sys.Address
	HP_HttpServer_GetAllHeaderNames   yu_sys.Address
	HP_HttpServer_GetCookie           yu_sys.Address
	HP_HttpServer_GetAllCookies       yu_sys.Address
	HP_HttpServer_GetWSMessageState   yu_sys.Address

	HP_Set_FN_HttpServer_OnMessageBegin      yu_sys.Address
	HP_Set_FN_HttpServer_OnRequestLine       yu_sys.Address
	HP_Set_FN_HttpServer_OnHeader            yu_sys.Address
	HP_Set_FN_HttpServer_OnHeadersComplete   yu_sys.Address
	HP_Set_FN_HttpServer_OnBody              yu_sys.Address
	HP_Set_FN_HttpServer_OnChunkHeader       yu_sys.Address
	HP_Set_FN_HttpServer_OnChunkComplete     yu_sys.Address
	HP_Set_FN_HttpServer_OnMessageComplete   yu_sys.Address
	HP_Set_FN_HttpServer_OnUpgrade           yu_sys.Address
	HP_Set_FN_HttpServer_OnParseError        yu_sys.Address
	HP_Set_FN_HttpServer_OnWSMessageHeader   yu_sys.Address
	HP_Set_FN_HttpServer_OnWSMessageBody     yu_sys.Address
	HP_Set_FN_HttpServer_OnWSMessageComplete yu_sys.Address
	HP_Set_FN_HttpServer_OnPrepareListen     yu_sys.Address
	HP_Set_FN_HttpServer_OnAccept            yu_sys.Address
	HP_Set_FN_HttpServer_OnHandShake         yu_sys.Address
	HP_Set_FN_HttpServer_OnSend              yu_sys.Address
	HP_Set_FN_HttpServer_OnReceive           yu_sys.Address
	HP_Set_FN_HttpServer_OnClose             yu_sys.Address
	HP_Set_FN_HttpServer_OnShutdown          yu_sys.Address
)

func loadDLL(path string) {
	modhpsocket = yu_sys.LoadLibrary(path)
	HP_Client_StartWithBindAddressAndLocalPort = modhpsocket.GetProcAddress("HP_Client_StartWithBindAddressAndLocalPort")
	HP_Client_Stop = modhpsocket.GetProcAddress("HP_Client_Stop")
	HP_Client_Wait = modhpsocket.GetProcAddress("HP_Client_Wait")
	HP_Client_Send = modhpsocket.GetProcAddress("HP_Client_Send")
	HP_Client_IsSecure = modhpsocket.GetProcAddress("HP_Client_IsSecure")
	HP_Client_SetExtra = modhpsocket.GetProcAddress("HP_Client_SetExtra")
	HP_Client_GetExtra = modhpsocket.GetProcAddress("HP_Client_GetExtra")
	HP_Client_HasStarted = modhpsocket.GetProcAddress("HP_Client_HasStarted")
	HP_Client_GetState = modhpsocket.GetProcAddress("HP_Client_GetState")
	HP_Client_GetLastError = modhpsocket.GetProcAddress("HP_Client_GetLastError")
	HP_Client_GetLastErrorDesc = modhpsocket.GetProcAddress("HP_Client_GetLastErrorDesc")
	HP_Client_GetConnectionID = modhpsocket.GetProcAddress("HP_Client_GetConnectionID")
	HP_Client_GetLocalAddress = modhpsocket.GetProcAddress("HP_Client_GetLocalAddress")
	HP_Client_GetRemoteHost = modhpsocket.GetProcAddress("HP_Client_GetRemoteHost")
	HP_Client_GetPendingDataLength = modhpsocket.GetProcAddress("HP_Client_GetPendingDataLength")
	HP_Client_SetFreeBufferPoolSize = modhpsocket.GetProcAddress("HP_Client_SetFreeBufferPoolSize")
	HP_Client_SetFreeBufferPoolHold = modhpsocket.GetProcAddress("HP_Client_SetFreeBufferPoolHold")
	HP_Client_GetFreeBufferPoolSize = modhpsocket.GetProcAddress("HP_Client_GetFreeBufferPoolSize")
	HP_Client_GetFreeBufferPoolHold = modhpsocket.GetProcAddress("HP_Client_GetFreeBufferPoolHold")
	HP_SSLClient_SetupSSLContext = modhpsocket.GetProcAddress("HP_SSLClient_SetupSSLContext")
	HP_SSLClient_SetupSSLContextByMemory = modhpsocket.GetProcAddress("HP_SSLClient_SetupSSLContextByMemory")
	HP_SSLClient_CleanupSSLContext = modhpsocket.GetProcAddress("HP_SSLClient_CleanupSSLContext")
	HP_SSLClient_StartSSLHandShake = modhpsocket.GetProcAddress("HP_SSLClient_StartSSLHandShake")
	HP_SSLClient_SetSSLAutoHandShake = modhpsocket.GetProcAddress("HP_SSLClient_SetSSLAutoHandShake")
	HP_SSLClient_IsSSLAutoHandShake = modhpsocket.GetProcAddress("HP_SSLClient_IsSSLAutoHandShake")
	HP_SSLClient_SetSSLCipherList = modhpsocket.GetProcAddress("HP_SSLClient_SetSSLCipherList")
	HP_SSLClient_GetSSLCipherList = modhpsocket.GetProcAddress("HP_SSLClient_GetSSLCipherList")
	HP_SSLClient_GetSSLSessionInfo = modhpsocket.GetProcAddress("HP_SSLClient_GetSSLSessionInfo")
	HP_Client_IsPauseReceive = modhpsocket.GetProcAddress("HP_Client_IsPauseReceive")
	HP_Client_IsConnected = modhpsocket.GetProcAddress("HP_Client_IsConnected")
	HP_Client_SetReuseAddressPolicy = modhpsocket.GetProcAddress("HP_Client_SetReuseAddressPolicy")
	HP_Client_GetReuseAddressPolicy = modhpsocket.GetProcAddress("HP_Client_GetReuseAddressPolicy")
	HP_Client_PauseReceive = modhpsocket.GetProcAddress("HP_Client_PauseReceive")

	HP_Set_FN_Client_OnPrepareConnect = modhpsocket.GetProcAddress("HP_Set_FN_Client_OnPrepareConnect")
	HP_Set_FN_Client_OnConnect = modhpsocket.GetProcAddress("HP_Set_FN_Client_OnConnect")
	HP_Set_FN_Client_OnHandShake = modhpsocket.GetProcAddress("HP_Set_FN_Client_OnHandShake")
	HP_Set_FN_Client_OnSend = modhpsocket.GetProcAddress("HP_Set_FN_Client_OnSend")
	HP_Set_FN_Client_OnReceive = modhpsocket.GetProcAddress("HP_Set_FN_Client_OnReceive")
	HP_Set_FN_Client_OnClose = modhpsocket.GetProcAddress("HP_Set_FN_Client_OnClose")

	Create_HP_TcpClientListener = modhpsocket.GetProcAddress("Create_HP_TcpClientListener")
	Destroy_HP_TcpClientListener = modhpsocket.GetProcAddress("Destroy_HP_TcpClientListener")
	Create_HP_SSLClient = modhpsocket.GetProcAddress("Create_HP_SSLClient")
	Destroy_HP_SSLClient = modhpsocket.GetProcAddress("Destroy_HP_SSLClient")
	Create_HP_TcpClient = modhpsocket.GetProcAddress("Create_HP_TcpClient")
	Destroy_HP_TcpClient = modhpsocket.GetProcAddress("Destroy_HP_TcpClient")

	HP_TcpClient_SetSocketBufferSize = modhpsocket.GetProcAddress("HP_TcpClient_SetSocketBufferSize")
	HP_TcpClient_SetKeepAliveTime = modhpsocket.GetProcAddress("HP_TcpClient_SetKeepAliveTime")
	HP_TcpClient_SetKeepAliveInterval = modhpsocket.GetProcAddress("HP_TcpClient_SetKeepAliveInterval")
	HP_TcpClient_SetNoDelay = modhpsocket.GetProcAddress("HP_TcpClient_SetNoDelay")
	HP_TcpClient_GetSocketBufferSize = modhpsocket.GetProcAddress("HP_TcpClient_GetSocketBufferSize")
	HP_TcpClient_GetKeepAliveTime = modhpsocket.GetProcAddress("HP_TcpClient_GetKeepAliveTime")
	HP_TcpClient_GetKeepAliveInterval = modhpsocket.GetProcAddress("HP_TcpClient_GetKeepAliveInterval")
	HP_TcpClient_IsNoDelay = modhpsocket.GetProcAddress("HP_TcpClient_IsNoDelay")

	Create_HP_TcpPackClientListener = modhpsocket.GetProcAddress("Create_HP_TcpPackClientListener")
	Destroy_HP_TcpPackClientListener = modhpsocket.GetProcAddress("Destroy_HP_TcpPackClientListener")

	Create_HP_SSLPackClient = modhpsocket.GetProcAddress("Create_HP_SSLPackClient")
	Destroy_HP_SSLPackClient = modhpsocket.GetProcAddress("Destroy_HP_SSLPackClient")
	Create_HP_TcpPackClient = modhpsocket.GetProcAddress("Create_HP_TcpPackClient")
	Destroy_HP_TcpPackClient = modhpsocket.GetProcAddress("Destroy_HP_TcpPackClient")

	HP_TcpPackClient_SetMaxPackSize = modhpsocket.GetProcAddress("HP_TcpPackClient_SetMaxPackSize")
	HP_TcpPackClient_SetPackHeaderFlag = modhpsocket.GetProcAddress("HP_TcpPackClient_SetPackHeaderFlag")
	HP_TcpPackClient_GetMaxPackSize = modhpsocket.GetProcAddress("HP_TcpPackClient_GetMaxPackSize")
	HP_TcpPackClient_GetPackHeaderFlag = modhpsocket.GetProcAddress("HP_TcpPackClient_GetPackHeaderFlag")

	HP_Server_Start = modhpsocket.GetProcAddress("HP_Server_Start")
	HP_Server_Stop = modhpsocket.GetProcAddress("HP_Server_Stop")
	HP_Server_Wait = modhpsocket.GetProcAddress("HP_Server_Wait")
	HP_Server_Send = modhpsocket.GetProcAddress("HP_Server_Send")
	HP_Server_IsSecure = modhpsocket.GetProcAddress("HP_Server_IsSecure")
	HP_Server_Disconnect = modhpsocket.GetProcAddress("HP_Server_Disconnect")
	HP_Server_DisconnectLongConnections = modhpsocket.GetProcAddress("HP_Server_DisconnectLongConnections")
	HP_Server_DisconnectSilenceConnections = modhpsocket.GetProcAddress("HP_Server_DisconnectSilenceConnections")
	HP_Server_SetConnectionExtra = modhpsocket.GetProcAddress("HP_Server_SetConnectionExtra")
	HP_Server_GetConnectionExtra = modhpsocket.GetProcAddress("HP_Server_GetConnectionExtra")
	HP_Server_HasStarted = modhpsocket.GetProcAddress("HP_Server_HasStarted")
	HP_Server_GetState = modhpsocket.GetProcAddress("HP_Server_GetState")
	HP_Server_GetLastError = modhpsocket.GetProcAddress("HP_Server_GetLastError")
	HP_Server_GetLastErrorDesc = modhpsocket.GetProcAddress("HP_Server_GetLastErrorDesc")
	HP_Server_GetPendingDataLength = modhpsocket.GetProcAddress("HP_Server_GetPendingDataLength")
	HP_Server_GetConnectionCount = modhpsocket.GetProcAddress("HP_Server_GetConnectionCount")
	HP_Server_GetAllConnectionIDs = modhpsocket.GetProcAddress("HP_Server_GetAllConnectionIDs")
	HP_Server_GetConnectPeriod = modhpsocket.GetProcAddress("HP_Server_GetConnectPeriod")
	HP_Server_GetSilencePeriod = modhpsocket.GetProcAddress("HP_Server_GetSilencePeriod")
	HP_Server_GetListenAddress = modhpsocket.GetProcAddress("HP_Server_GetListenAddress")
	HP_Server_GetLocalAddress = modhpsocket.GetProcAddress("HP_Server_GetLocalAddress")
	HP_Server_GetRemoteAddress = modhpsocket.GetProcAddress("HP_Server_GetRemoteAddress")
	HP_Server_SetSendPolicy = modhpsocket.GetProcAddress("HP_Server_SetSendPolicy")
	HP_Server_SetOnSendSyncPolicy = modhpsocket.GetProcAddress("HP_Server_SetOnSendSyncPolicy")
	HP_Server_SetFreeSocketObjLockTime = modhpsocket.GetProcAddress("HP_Server_SetFreeSocketObjLockTime")
	HP_Server_SetFreeSocketObjPool = modhpsocket.GetProcAddress("HP_Server_SetFreeSocketObjPool")
	HP_Server_SetFreeBufferObjPool = modhpsocket.GetProcAddress("HP_Server_SetFreeBufferObjPool")
	HP_Server_SetFreeSocketObjHold = modhpsocket.GetProcAddress("HP_Server_SetFreeSocketObjHold")
	HP_Server_SetFreeBufferObjHold = modhpsocket.GetProcAddress("HP_Server_SetFreeBufferObjHold")
	HP_Server_SetMaxConnectionCount = modhpsocket.GetProcAddress("HP_Server_SetMaxConnectionCount")
	HP_Server_SetWorkerThreadCount = modhpsocket.GetProcAddress("HP_Server_SetWorkerThreadCount")
	HP_Server_SetMarkSilence = modhpsocket.GetProcAddress("HP_Server_SetMarkSilence")
	HP_Server_GetSendPolicy = modhpsocket.GetProcAddress("HP_Server_GetSendPolicy")
	HP_Server_GetOnSendSyncPolicy = modhpsocket.GetProcAddress("HP_Server_GetOnSendSyncPolicy")
	HP_Server_GetFreeSocketObjLockTime = modhpsocket.GetProcAddress("HP_Server_GetFreeSocketObjLockTime")
	HP_Server_GetFreeSocketObjPool = modhpsocket.GetProcAddress("HP_Server_GetFreeSocketObjPool")
	HP_Server_GetFreeBufferObjPool = modhpsocket.GetProcAddress("HP_Server_GetFreeBufferObjPool")
	HP_Server_GetFreeSocketObjHold = modhpsocket.GetProcAddress("HP_Server_GetFreeSocketObjHold")
	HP_Server_GetFreeBufferObjHold = modhpsocket.GetProcAddress("HP_Server_GetFreeBufferObjHold")
	HP_Server_GetMaxConnectionCount = modhpsocket.GetProcAddress("HP_Server_GetMaxConnectionCount")
	HP_Server_GetWorkerThreadCount = modhpsocket.GetProcAddress("HP_Server_GetWorkerThreadCount")
	HP_Server_IsMarkSilence = modhpsocket.GetProcAddress("HP_Server_IsMarkSilence")
	HP_SSLServer_SetupSSLContext = modhpsocket.GetProcAddress("HP_SSLServer_SetupSSLContext")

	HP_SSLServer_SetupSSLContextByMemory = modhpsocket.GetProcAddress("HP_SSLServer_SetupSSLContextByMemory")
	HP_SSLServer_AddSSLContext = modhpsocket.GetProcAddress("HP_SSLServer_AddSSLContext")
	HP_SSLServer_AddSSLContextByMemory = modhpsocket.GetProcAddress("HP_SSLServer_AddSSLContextByMemory")
	HP_SSLServer_BindSSLServerName = modhpsocket.GetProcAddress("HP_SSLServer_BindSSLServerName")
	HP_SSLServer_StartSSLHandShake = modhpsocket.GetProcAddress("HP_SSLServer_StartSSLHandShake")
	HP_SSLServer_SetSSLAutoHandShake = modhpsocket.GetProcAddress("HP_SSLServer_SetSSLAutoHandShake")
	HP_SSLServer_IsSSLAutoHandShake = modhpsocket.GetProcAddress("HP_SSLServer_IsSSLAutoHandShake")
	HP_SSLServer_SetSSLCipherList = modhpsocket.GetProcAddress("HP_SSLServer_SetSSLCipherList")
	HP_SSLServer_GetSSLCipherList = modhpsocket.GetProcAddress("HP_SSLServer_GetSSLCipherList")
	HP_SSLServer_GetSSLSessionInfo = modhpsocket.GetProcAddress("HP_SSLServer_GetSSLSessionInfo")
	HP_Server_IsPauseReceive = modhpsocket.GetProcAddress("HP_Server_IsPauseReceive")
	HP_Server_IsConnected = modhpsocket.GetProcAddress("HP_Server_IsConnected")
	HP_Server_PauseReceive = modhpsocket.GetProcAddress("HP_Server_PauseReceive")
	HP_SSLServer_CleanupSSLContext = modhpsocket.GetProcAddress("HP_SSLServer_CleanupSSLContext")

	HP_Set_FN_Server_OnPrepareListen = modhpsocket.GetProcAddress("HP_Set_FN_Server_OnPrepareListen")
	HP_Set_FN_Server_OnAccept = modhpsocket.GetProcAddress("HP_Set_FN_Server_OnAccept")
	HP_Set_FN_Server_OnHandShake = modhpsocket.GetProcAddress("HP_Set_FN_Server_OnHandShake")
	HP_Set_FN_Server_OnSend = modhpsocket.GetProcAddress("HP_Set_FN_Server_OnSend")
	HP_Set_FN_Server_OnReceive = modhpsocket.GetProcAddress("HP_Set_FN_Server_OnReceive")
	HP_Set_FN_Server_OnClose = modhpsocket.GetProcAddress("HP_Set_FN_Server_OnClose")
	HP_Set_FN_Server_OnShutdown = modhpsocket.GetProcAddress("HP_Set_FN_Server_OnShutdown")

	Create_HP_TcpServerListener = modhpsocket.GetProcAddress("Create_HP_TcpServerListener")
	Destroy_HP_TcpServerListener = modhpsocket.GetProcAddress("Destroy_HP_TcpServerListener")
	Create_HP_SSLServer = modhpsocket.GetProcAddress("Create_HP_SSLServer")
	Destroy_HP_SSLServer = modhpsocket.GetProcAddress("Destroy_HP_SSLServer")
	Create_HP_TcpServer = modhpsocket.GetProcAddress("Create_HP_TcpServer")
	Destroy_HP_TcpServer = modhpsocket.GetProcAddress("Destroy_HP_TcpServer")

	HP_TcpServer_SetSocketListenQueue = modhpsocket.GetProcAddress("HP_TcpServer_SetSocketListenQueue")
	HP_TcpServer_SetAcceptSocketCount = modhpsocket.GetProcAddress("HP_TcpServer_SetAcceptSocketCount")
	HP_TcpServer_SetSocketBufferSize = modhpsocket.GetProcAddress("HP_TcpServer_SetSocketBufferSize")
	HP_TcpServer_SetKeepAliveTime = modhpsocket.GetProcAddress("HP_TcpServer_SetKeepAliveTime")
	HP_TcpServer_SetKeepAliveInterval = modhpsocket.GetProcAddress("HP_TcpServer_SetKeepAliveInterval")
	HP_TcpServer_SetNoDelay = modhpsocket.GetProcAddress("HP_TcpServer_SetNoDelay")
	HP_TcpServer_GetSocketListenQueue = modhpsocket.GetProcAddress("HP_TcpServer_GetSocketListenQueue")
	HP_TcpServer_GetAcceptSocketCount = modhpsocket.GetProcAddress("HP_TcpServer_GetAcceptSocketCount")
	HP_TcpServer_GetSocketBufferSize = modhpsocket.GetProcAddress("HP_TcpServer_GetSocketBufferSize")
	HP_TcpServer_GetKeepAliveTime = modhpsocket.GetProcAddress("HP_TcpServer_GetKeepAliveTime")
	HP_TcpServer_GetKeepAliveInterval = modhpsocket.GetProcAddress("HP_TcpServer_GetKeepAliveInterval")
	HP_TcpServer_IsNoDelay = modhpsocket.GetProcAddress("HP_TcpServer_IsNoDelay")

	Create_HP_TcpPackServerListener = modhpsocket.GetProcAddress("Create_HP_TcpPackServerListener")
	Destroy_HP_TcpPackServerListener = modhpsocket.GetProcAddress("Destroy_HP_TcpPackServerListener")
	Create_HP_SSLPackServer = modhpsocket.GetProcAddress("Create_HP_SSLPackServer")
	Destroy_HP_SSLPackServer = modhpsocket.GetProcAddress("Destroy_HP_SSLPackServer")
	Create_HP_TcpPackServer = modhpsocket.GetProcAddress("Create_HP_TcpPackServer")
	Destroy_HP_TcpPackServer = modhpsocket.GetProcAddress("Destroy_HP_TcpPackServer")

	HP_TcpPackServer_SetMaxPackSize = modhpsocket.GetProcAddress("HP_TcpPackServer_SetMaxPackSize")
	HP_TcpPackServer_SetPackHeaderFlag = modhpsocket.GetProcAddress("HP_TcpPackServer_SetPackHeaderFlag")
	HP_TcpPackServer_GetMaxPackSize = modhpsocket.GetProcAddress("HP_TcpPackServer_GetMaxPackSize")
	HP_TcpPackServer_GetPackHeaderFlag = modhpsocket.GetProcAddress("HP_TcpPackServer_GetPackHeaderFlag")

	Create_HP_HttpServerListener = modhpsocket.GetProcAddress("Create_HP_HttpServerListener")
	Destroy_HP_HttpServerListener = modhpsocket.GetProcAddress("Destroy_HP_HttpServerListener")
	Create_HP_HttpsServer = modhpsocket.GetProcAddress("Create_HP_HttpsServer")
	Destroy_HP_HttpsServer = modhpsocket.GetProcAddress("Destroy_HP_HttpsServer")
	Create_HP_HttpServer = modhpsocket.GetProcAddress("Create_HP_HttpServer")
	Destroy_HP_HttpServer = modhpsocket.GetProcAddress("Destroy_HP_HttpServer")

	HP_HttpServer_SendResponse = modhpsocket.GetProcAddress("HP_HttpServer_SendResponse")
	HP_HttpServer_SendChunkData = modhpsocket.GetProcAddress("HP_HttpServer_SendChunkData")
	HP_HttpServer_SendLocalFile = modhpsocket.GetProcAddress("HP_HttpServer_SendLocalFile")
	HP_HttpServer_SendWSMessage = modhpsocket.GetProcAddress("HP_HttpServer_SendWSMessage")
	HP_HttpServer_Release = modhpsocket.GetProcAddress("HP_HttpServer_Release")
	HP_HttpServer_SetReleaseDelay = modhpsocket.GetProcAddress("HP_HttpServer_SetReleaseDelay")
	HP_HttpServer_GetReleaseDelay = modhpsocket.GetProcAddress("HP_HttpServer_GetReleaseDelay")
	HP_HttpServer_GetUrlFieldSet = modhpsocket.GetProcAddress("HP_HttpServer_GetUrlFieldSet")
	HP_HttpServer_GetUrlField = modhpsocket.GetProcAddress("HP_HttpServer_GetUrlField")
	HP_HttpServer_GetMethod = modhpsocket.GetProcAddress("HP_HttpServer_GetMethod")
	HP_HttpServer_SetLocalVersion = modhpsocket.GetProcAddress("HP_HttpServer_SetLocalVersion")
	HP_HttpServer_GetLocalVersion = modhpsocket.GetProcAddress("HP_HttpServer_GetLocalVersion")
	HP_HttpServer_IsUpgrade = modhpsocket.GetProcAddress("HP_HttpServer_IsUpgrade")
	HP_HttpServer_IsKeepAlive = modhpsocket.GetProcAddress("HP_HttpServer_IsKeepAlive")
	HP_HttpServer_StartHttp = modhpsocket.GetProcAddress("HP_HttpServer_StartHttp")
	HP_HttpServer_SetHttpAutoStart = modhpsocket.GetProcAddress("HP_HttpServer_SetHttpAutoStart")
	HP_HttpServer_IsHttpAutoStart = modhpsocket.GetProcAddress("HP_HttpServer_IsHttpAutoStart")
	HP_HttpServer_GetVersion = modhpsocket.GetProcAddress("HP_HttpServer_GetVersion")
	HP_HttpServer_GetHost = modhpsocket.GetProcAddress("HP_HttpServer_GetHost")
	HP_HttpServer_GetContentLength = modhpsocket.GetProcAddress("HP_HttpServer_GetContentLength")
	HP_HttpServer_GetContentType = modhpsocket.GetProcAddress("HP_HttpServer_GetContentType")
	HP_HttpServer_GetContentEncoding = modhpsocket.GetProcAddress("HP_HttpServer_GetContentEncoding")
	HP_HttpServer_GetTransferEncoding = modhpsocket.GetProcAddress("HP_HttpServer_GetTransferEncoding")
	HP_HttpServer_GetUpgradeType = modhpsocket.GetProcAddress("HP_HttpServer_GetUpgradeType")
	HP_HttpServer_GetParseErrorCode = modhpsocket.GetProcAddress("HP_HttpServer_GetParseErrorCode")
	HP_HttpServer_GetHeader = modhpsocket.GetProcAddress("HP_HttpServer_GetHeader")
	HP_HttpServer_GetHeaders = modhpsocket.GetProcAddress("HP_HttpServer_GetHeaders")
	HP_HttpServer_GetAllHeaders = modhpsocket.GetProcAddress("HP_HttpServer_GetAllHeaders")
	HP_HttpServer_GetAllHeaderNames = modhpsocket.GetProcAddress("HP_HttpServer_GetAllHeaderNames")
	HP_HttpServer_GetCookie = modhpsocket.GetProcAddress("HP_HttpServer_GetCookie")
	HP_HttpServer_GetAllCookies = modhpsocket.GetProcAddress("HP_HttpServer_GetAllCookies")
	HP_HttpServer_GetWSMessageState = modhpsocket.GetProcAddress("HP_HttpServer_GetWSMessageState")

	HP_Set_FN_HttpServer_OnMessageBegin = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnMessageBegin")
	HP_Set_FN_HttpServer_OnRequestLine = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnRequestLine")
	HP_Set_FN_HttpServer_OnHeader = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnHeader")
	HP_Set_FN_HttpServer_OnHeadersComplete = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnHeadersComplete")
	HP_Set_FN_HttpServer_OnBody = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnBody")
	HP_Set_FN_HttpServer_OnChunkHeader = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnChunkHeader")
	HP_Set_FN_HttpServer_OnChunkComplete = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnChunkComplete")
	HP_Set_FN_HttpServer_OnMessageComplete = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnMessageComplete")
	HP_Set_FN_HttpServer_OnUpgrade = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnUpgrade")
	HP_Set_FN_HttpServer_OnParseError = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnParseError")
	HP_Set_FN_HttpServer_OnWSMessageHeader = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnWSMessageHeader")
	HP_Set_FN_HttpServer_OnWSMessageBody = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnWSMessageBody")
	HP_Set_FN_HttpServer_OnWSMessageComplete = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnWSMessageComplete")
	HP_Set_FN_HttpServer_OnPrepareListen = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnPrepareListen")
	HP_Set_FN_HttpServer_OnAccept = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnAccept")
	HP_Set_FN_HttpServer_OnHandShake = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnHandShake")
	HP_Set_FN_HttpServer_OnSend = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnSend")
	HP_Set_FN_HttpServer_OnReceive = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnReceive")
	HP_Set_FN_HttpServer_OnClose = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnClose")
	HP_Set_FN_HttpServer_OnShutdown = modhpsocket.GetProcAddress("HP_Set_FN_HttpServer_OnShutdown")
}
